Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#55636 - [qucs] Simulator crashed!

Attached to Project: Community Packages
Opened by Sebastian (seba) - Thursday, 14 September 2017, 17:02 GMT
Last edited by Balló György (City-busz) - Sunday, 07 January 2018, 21:34 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Qucs crashes during Simulation with "ERROR: Simulator crashed!"

Running "qucsator -i netlist.txt" in shell reports "creating netlist...
Segmentation fault (core dumped)".

After downgrading to "glibc-2.25-7-x86_64.pkg.tar.xz" it works fine.

Additional info:
* package version(s)
* config and/or log files etc.

qucs 0.0.19-1
gcc-libs 7.2.0-2
glibc 2.26-4


Steps to reproduce:
Open Example "Amp_Baseband_Low-noise.sch"
Run Simulation
See output in progress window

This task depends upon

Closed by  Balló György (City-busz)
Sunday, 07 January 2018, 21:34 GMT
Reason for closing:  Won't fix
Comment by Eimantas (eimis) - Friday, 17 November 2017, 16:35 GMT
same here. As far as I understand this package just needs to be recompiled by the maintainer.

I successfully compiled qucs-git package and simulations work perfectly with current glibc.
https://www.mediafire.com/file/11xnw62bi9kcada/qucs-git-0.0.19.rc3.r380.gb30c00e0d-1-x86_64.pkg.tar.xz
Comment by Balló György (City-busz) - Sunday, 07 January 2018, 21:34 GMT

Loading...